/**
 * Swagger bookshelf
 * TODO
 *
 * OpenAPI spec version: 1.0.0
 * Contact: gestin.gweltaz@gmail.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import {Book} from './book';
import {StatInfo} from './stat-info';
import {Page} from './page';
import {LibraryCount} from "./library-count";
import {MinimalLibraryItem, MinimalLibraryItemWithCover} from "./library-item";

export interface Profile {
  lastAddedBook: Page<Book>;
  nextBookToRead: Page<Book>;
  booksStatInfo: StatInfo;
  libraryCount: LibraryCount;
}

export interface LibraryInformations {
  lastAddedItems: Page<MinimalLibraryItem>;
  nextItemsToRead: Page<MinimalLibraryItemWithCover>;
  itemsStatInfo: StatInfo;
  libraryCount: LibraryCount;
}
